<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class EditPropertyChannelMappingSetup20200828 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {


        DB::statement("
ALTER TABLE `property_channel_mapping_setup`
CHANGE COLUMN `type` `setup_type` varchar(5)  NULL DEFAULT NULL COMMENT 'BKG, PYM' AFTER `channel_id`,
CHANGE COLUMN `type_id` `setup_type_id` int(10) NULL DEFAULT NULL AFTER `setup_type`,
CHANGE COLUMN `setup_type` `action_type` varchar(100)  NULL DEFAULT NULL COMMENT 'PLS, MIN' AFTER `setup_type_id`;
        ");



    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
